package cn.iocoder.yudao.module.system.service.reservation;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.VisitRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.VisitRecordRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.reservation.VisitRecordDO;
import cn.iocoder.yudao.module.system.dal.dataobject.reservation.VisitRecordDetailDO;

/**
 * 客户回访记录 Service 接口
 *
 * @author 系统管理员
 */
public interface VisitRecordService {


    void createReturnVisitRecord(VisitRecordDO visitRecordDO);

    void deleteVisitRecord(Long[] ids);

    VisitRecordRespVO getVisitRecord(Long id);

    PageResult<VisitRecordDO> getVisitRecordPage(VisitRecordPageReqVO pageReqVO);

    void updateVisitRecordDetail(VisitRecordDetailDO updateReqVO);
}